Skip to main content
GET
/
api
/
v1
/
vaults
Get public vaults
curl --request GET \
  --url https://api.mainnet.aptoslabs.com/decibel/api/v1/vaults \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "address": "<string>",
      "created_at": 123,
      "manager": "<string>",
      "name": "<string>",
      "status": "<string>",
      "all_time_pnl": 123,
      "all_time_return": 123,
      "apr": 123,
      "average_leverage": 123,
      "depositors": 123,
      "description": "<string>",
      "lockdown_period_s": 259200,
      "manager_cash_pct": 123,
      "max_drawdown": 123,
      "net_deposits": 30277044.96,
      "past_month_return": 123,
      "perp_equity": 123,
      "pnl_90d": 123,
      "profit_share": 123,
      "sharpe_ratio": 123,
      "social_links": [
        "<string>"
      ],
      "tvl": 123,
      "vault_type": "<string>",
      "volume": 123,
      "volume_30d": 123,
      "weekly_win_rate_12w": 123
    }
  ],
  "total_count": 1,
  "total_value_locked": 123,
  "total_volume": 123
}

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

status
enum<string>
default:active

Vault status filter (created, active, inactive). Defaults to active when omitted.

Available options:
created,
active,
inactive
vault_type
string

Vault type filter (user or protocol). Returns all vaults when omitted.

vault_address
string

Vault address filter. If provided, returns only the matching vault address.

Case-insensitive search across vault address, vault name, and manager address.

limit
integer<int32>
default:10

Page size

Required range: 0 <= x <= 1000
offset
integer<int32>
default:0

Page offset

Required range: 0 <= x <= 10000
sort_key
enum<string>

Sort keys for vault listing

Defines the available fields that can be used to sort vaults in the /vaults endpoint.

Available options:
tvl,
age,
pnl,
sharpe_ratio,
weekly_win_rate,
max_drawdown,
apr
sort_dir
enum<string>
Available options:
ASC,
DESC

Response

Public vaults retrieved successfully

items
object[]
required
total_count
integer<int32>
required
Required range: x >= 0
total_value_locked
number<double>
required

Total value locked across all filtered vaults

total_volume
number<double>
required

Total all-time trading volume across all filtered vaults